Subject: [Ltru] Expanding the xx..yy ranges (was: Re: Two grandfathered tagsfor 'Hakka')

From: "Gerard Meijssen" <[email-masked]>
Date: Tue, 16 Sep 2008 08:40:14 +0200

Hoi,
In Unix characters like slashes and pipes have a special purpose. When the
name of a language is used as the title of a webpage, it often happens that
as a consequence the page cannot be displayed. When the name of the article
is another Unicode character, it does not have the same meaning and
consequently the problem is just not there.

It is by insisting on ASCII and the use of characters that are used for
special purposes that this problem exists.

The reason for using what is the code for a language is because the code is
the only non changing unique part of the registration of a language. These
codes are not only unique to this registry, they are also used in the
ISO-639-3. When you make something unique in this way, you invite people to
take these codes seriously.
Thanks,
       Gerard

On Wed, Aug 27, 2008 at 5:38 PM, Randy Presuhn <[email-masked]
> wrote:

> Hi Gerard -
>
> > From: "Gerard Meijssen" <[email-masked]>
> > To: "Randy Presuhn" <[email-masked]>
> > Sent: Wednesday, August 27, 2008 2:23 AM
> > Subject: Re: [Ltru] Expanding the xx..yy ranges (was: Re: Two
> grandfathered tagsfor 'Hakka')
> >
> > Hoi,
> > Several software packages used on the Internet have problems with the
> ASCII
> > combinations in article names. It would be really helpful when names like
> > //Xegwi would not be used.
>
> I'm curious -
>  1) why do these software packages care what's in the registry's
>     description fields?
>  2) why would a well-formed description be a problem for such a package?
>  3) if a combination of ASCII characters would be problematic, can we
>     really expect that their handling of Unicode would be any better?
>
> These are serious questions, because it seems like you're making a
> technical
> argument for placing further constraints on the contents of registry
> entries.
> This would be a legitimate operational question to raise with respect to
> 4646bis.
> The key issue would be whether these particular packages' peculiarities
> merit
> making such a change to the registry format.
>
> I'm CC-ing Martin because in a few hours I'll be leaving on a trip that
> will limit my email access for two weeks.
>
> Randy
>
> > Thanks,
> >      Gerard
> >
> > On Wed, Aug 27, 2008 at 4:24 AM, Randy Presuhn <
> [email-masked]
> > > wrote:
> >
> > > Hi -
> > >
> > > As co-chair...
> > >
> > > > From: "Doug Ewell" <[email-masked]>
> > > > To: "LTRU Working Group" <[email-masked]>
> > > > Sent: Monday, July 28, 2008 9:54 PM
> > > > Subject: [Ltru] Expanding the xx..yy ranges (was: Re: Two
> grandfathered
> > > tagsfor 'Hakka')
> > > ...
> > > > OK, now I have TWO change items on which I request that the co-chairs
> > > > determine rough consensus:
> > > >
> > > > 1. whether to modify the Description fields of ISO 639-3 language
> names
> > > > that contain ASCII approximations of click letters, replacing them
> with
> > > > real Unicode click letters
> > >
> > > There does not appear to be a rough consensus in support of
> > > making such a change.
> > >
> > > > 2. whether to expand the four subtags that contain "xx..yy" ranges
> into
> > > > individual records
> > > >
> > > > Regarding #2, we are talking about expanding 4 records into 610, for
> a
> > > > net increase of 606 records.  The current 4645bis Registry includes
> 8561
> > > > subtags, so this represents a 7% increase.
> > >
> > > There does not appear to be a rough consensus in support of
> > > making such a change.
> > >
> > > > I will take no action on either of these items unless and until one
> of
> > > > the co-chairs declares rough consensus, one way or the other.  These
> are
> > > > technical, not editorial, and there is already disagreement on #2.
> > > ...
> > >
> > > If there are serious objections to not making these two proposed
> > > changes, please speak up NOW.
> > >
> > > Randy
> > > ltru co-chair
> > >
> > > _______________________________________________
> > > Ltru mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/ltru
> > >
> >
>
>
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 16 Sep 2008 11:15:12 -0700

Hi -

As a technical contributor:

> To: <[email-masked]>
> Sent: Monday, September 15, 2008 11:40 PM
> Subject: [Ltru] Expanding the xx..yy ranges (was: Re: Two grandfatheredtagsfor 'Hakka')
>
> Hoi,

The only representations that the BCP offers for the use of protocols /
applications are those of the language tags themselves.  The format of
the registry is for the convenience of the registry maintenance process
and the developers of applications.

As a general principal of application design:  If an application imports
a field with a grammar which permits characters having special meaning
to that application, it's the application's responsibility to defend
against them.  Do you have a specific list of characters you'd like to
prohibit from use in description clauses, so a change to the grammar
could be proposed?

> take these codes seriously.

But the 2- and 3- letter codes cannot contain any of the "offending" characters.
The characters that are potentially problematic if used carelessly (in shell
scripts, for example) show up in descriptions.  But description fields are not
"codes", they are *not* localized, nor are they exhaustive, nor are they even
guaranteed to be unique, even though we try to avoid ambiguity.  They're simply
there for reference and maintenance sanity.

Randy